Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::CharacterModelAnimation Class Reference

キャラクタモデルアニメーション More...

`#include <CharacterModelAnimation.h>`

Inheritance diagram for Lamp::CharacterModelAnimation:

List of all members.

## Public Member Functions
virtual AnimationData * | getAnimationData ()
| アニメーションデータの取得
virtual const AnimationData * | getAnimationData () const
| アニメーションデータの取得
virtual void | setCharacterModelAnimationData (CharacterModelAnimationData *animationData)
| キャラクタモデルアニメーションデータの設定
virtual CharacterModelAnimationData * | getCharacterModelAnimationData ()
| キャラクタモデルアニメーションデータの取得
virtual const CharacterModelAnimationData * | getCharacterModelAnimationData () const
| キャラクタモデルアニメーションデータの取得
virtual bool | bind (Scene *scene)
| バインド
virtual bool | bind (CharacterModel *model)
| バインド
virtual void | unbind ()
| バインド解除
virtual CharacterModel * | getTarget () const
| ターゲットの取得
virtual Bone * | getTargetBone (int index) const
| ターゲットボーンの取得
virtual void | setBoneCount (int boneCount)
| ボーン数の設定
virtual int | getBoneCount () const
| ボーン数の取得
virtual void | setBoneName (int index, const String &boneName)
| ボーン名の設定
virtual const String & | getBoneName (int index) const
| ボーン名の取得
virtual bool | animate (float deltaTime, AnimationMask mask)
| アニメーション
virtual Animation * | copy (DataCopyMask dataCopyMask=copyNone) const
| コピー
virtual CharacterModelAnimation * | copyCharacterModelAnimation (DataCopyMask dataCopyMask=copyNone) const
| キャラクタモデルアニメーションのコピー
virtual bool | isCharacterModelAnimation () const
| キャラクタモデルアニメーションかどうか
## Protected Member Functions
| CharacterModelAnimation (String name, AnimationManager *manager)
| コンストラクタ
virtual | ~CharacterModelAnimation ()
| デストラクタ
## Friends
class | AnimationManager

## Detailed Description

キャラクタモデルアニメーション

Definition at line 40 of file CharacterModelAnimation.h.

## Constructor & Destructor Documentation

Lamp::CharacterModelAnimation::CharacterModelAnimation | ( | String | name,
|  | AnimationManager * | manager
| ) | `[protected]`

  | コンストラクタ Parameters:
  name | 名前
  manager | アニメーションマネージャ
Definition at line 35 of file CharacterModelAnimation.cpp. References NULL.

## Member Function Documentation

bool Lamp::CharacterModelAnimation::animate | ( | float | deltaTime,
|  | AnimationMask | mask
| ) | `[virtual]`

  | アニメーション Parameters:
  deltaTime | デルタタイム
  mask | アニメーションマスク
Returns: アニメーションが終了していればtrue Implements Lamp::Animation. Definition at line 85 of file CharacterModelAnimation.cpp. References Assert, ErrorOut, Lamp::RotationInterpolator::eulerInterpolate(), Lamp::CharacterModelAnimationData::getBoneCount(), getCharacterModelAnimationData(), Lamp::CharacterModelAnimationData::getRotation(), Lamp::CharacterModelAnimationData::getScale(), Lamp::ObjectAnimation::getSequence(), Lamp::ObjectAnimation::getTime(), Lamp::CharacterModelAnimationData::getTranslation(), Lamp::Animation::increasesTime(), Lamp::VectorInterpolator::interpolate(), Lamp::Animation::isEnabled(), Lamp::RotationInterpolator::isEulerInterpolator(), Lamp::ObjectAnimation::isFinished(), Lamp::SceneLeaf::isGlobalEnabled(), Lamp::RotationInterpolator::isQuaternionInterpolator(), Lamp::Animation::maskCharacterModel, NULL, Lamp::RotationInterpolator::quaternionInterpolate(), Lamp::Bone::setRotationQuaternion(), Lamp::Bone::setRotationXYZ(), Lamp::Bone::setScale(), Lamp::ObjectAnimation::setTime(), and Lamp::Bone::setTranslation().

bool Lamp::CharacterModelAnimation::bind | ( | CharacterModel * | model | ) | `[virtual]`

  | バインド Parameters:
  model | バインド対象キャラクタモデル
Returns: 成功すればtrue Definition at line 69 of file CharacterModelAnimation.cpp. References Assert, Lamp::SceneObject::getName(), NULL, Lamp::CharacterModel::searchBone(), and Lamp::ObjectAnimation::setTargetName().

bool Lamp::CharacterModelAnimation::bind | ( | Scene * | scene | ) | `[virtual]`

  | バインド Parameters:
  scene | バインド対象シーン
Returns: 成功すればtrue Implements Lamp::Animation. Definition at line 48 of file CharacterModelAnimation.cpp. References Assert, Lamp::Model::castCharacterModel(), Lamp::Scene::getModelManager(), Lamp::String::getSize(), Lamp::ObjectAnimation::getTargetName(), NULL, Lamp::SceneObjectManagerTemplate< Model >::search(), and Lamp::CharacterModel::searchBone(). Referenced by copyCharacterModelAnimation().

virtual Animation* Lamp::CharacterModelAnimation::copy | ( | DataCopyMask | dataCopyMask = copyNone | ) | const`[inline, virtual]`

  | コピー Parameters:
  dataCopyMask | データコピーマスク
Returns: コピーされたアニメーション Implements Lamp::Animation. Definition at line 196 of file CharacterModelAnimation.h. References copyCharacterModelAnimation().

CharacterModelAnimation * Lamp::CharacterModelAnimation::copyCharacterModelAnimation | ( | DataCopyMask | dataCopyMask = copyNone | ) | const`[virtual]`

  | キャラクタモデルアニメーションのコピー Parameters:
  dataCopyMask | データコピーマスク
Returns: コピーされたアニメーション Definition at line 129 of file CharacterModelAnimation.cpp. References Lamp::AnimationData::addReference(), animationData_, bind(), Lamp::Animation::copyCharacterModel, Lamp::CharacterModelAnimationData::copyCharacterModelAnimationData(), Lamp::ObjectAnimation::copyObjectAnimationValue(), Lamp::AnimationManager::createCharacterModel(), getBoneName(), Lamp::Animation::getManager(), Lamp::Animation::getName(), setBoneCount(), and setBoneName(). Referenced by copy().

virtual const AnimationData* Lamp::CharacterModelAnimation::getAnimationData | ( |  | ) | const`[inline, virtual]`

| アニメーションデータの取得 Returns: アニメーションデータ Implements Lamp::ObjectAnimation. Definition at line 56 of file CharacterModelAnimation.h.

virtual AnimationData* Lamp::CharacterModelAnimation::getAnimationData | ( |  | ) | `[inline, virtual]`

| アニメーションデータの取得 Returns: アニメーションデータ Implements Lamp::ObjectAnimation. Definition at line 50 of file CharacterModelAnimation.h. Referenced by Lamp::TextAnimationSaver::writeCharacterModelAnimationLink(), and Lamp::BinaryAnimationSaver::writeCharacterModelAnimationLink().

virtual int Lamp::CharacterModelAnimation::getBoneCount | ( |  | ) | const`[inline, virtual]`

| ボーン数の取得 Returns: ボーン数 Definition at line 152 of file CharacterModelAnimation.h. Referenced by Lamp::TextAnimationSaver::writeCharacterModelAnimation(), and Lamp::BinaryAnimationSaver::writeCharacterModelAnimation().

virtual const String& Lamp::CharacterModelAnimation::getBoneName | ( | int | index | ) | const`[inline, virtual]`

  | ボーン名の取得 Parameters:
  index | ボーンのインデックス
Returns: ボーン名 Definition at line 171 of file CharacterModelAnimation.h. References Assert. Referenced by copyCharacterModelAnimation(), Lamp::TextAnimationSaver::writeCharacterModelAnimation(), and Lamp::BinaryAnimationSaver::writeCharacterModelAnimation().

virtual CharacterModel* Lamp::CharacterModelAnimation::getTarget | ( |  | ) | const`[inline, virtual]`

| ターゲットの取得 Returns: ターゲット Definition at line 118 of file CharacterModelAnimation.h.

virtual Bone* Lamp::CharacterModelAnimation::getTargetBone | ( | int | index | ) | const`[inline, virtual]`

  | ターゲットボーンの取得 Parameters:
  index | ターゲットボーンのインデックス
Definition at line 124 of file CharacterModelAnimation.h. References Assert.

virtual bool Lamp::CharacterModelAnimation::isCharacterModelAnimation | ( |  | ) | const`[inline, virtual]`

| キャラクタモデルアニメーションかどうか Returns: キャラクタモデルアニメーションならtrue Reimplemented from Lamp::Animation. Definition at line 215 of file CharacterModelAnimation.h.

virtual void Lamp::CharacterModelAnimation::setBoneCount | ( | int | boneCount | ) | `[inline, virtual]`

  | ボーン数の設定 Parameters:
  boneCount | ボーン数
Definition at line 137 of file CharacterModelAnimation.h. References NULL, and SafeArrayDelete. Referenced by copyCharacterModelAnimation(), Lamp::TextAnimationLoader::readCharacterModelAnimation(), and Lamp::BinaryAnimationLoader::readCharacterModelAnimation().

virtual void Lamp::CharacterModelAnimation::setBoneName | ( | int | index,
|  | const String & | boneName
| ) | `[inline, virtual]`

  | ボーン名の設定 Parameters:
  index | ボーンのインデックス
  boneName | ボーン名
Definition at line 160 of file CharacterModelAnimation.h. References Assert. Referenced by copyCharacterModelAnimation(), Lamp::TextAnimationLoader::readCharacterModelAnimation(), and Lamp::BinaryAnimationLoader::readCharacterModelAnimation().

virtual void Lamp::CharacterModelAnimation::setCharacterModelAnimationData | ( | CharacterModelAnimationData * | animationData | ) | `[inline, virtual]`

  | キャラクタモデルアニメーションデータの設定 Parameters:
  animationData | キャラクタモデルアニメーションデータ
Definition at line 67 of file CharacterModelAnimation.h. References Lamp::AnimationData::addReference(), NULL, and Lamp::AnimationData::removeReference(). Referenced by Lamp::BinaryAnimationLoader::readCharacterModelAnimationLink(), and Lamp::TextAnimationLoader::readCharacterModelLinkList().

The documentation for this class was generated from the following files:

- CharacterModelAnimation.h
- CharacterModelAnimation.cpp